{
	"name": "sgse-app",
	"private": true,
	"type": "module",
	"workspaces": {
		"packages": [
			"apps/*",
			"packages/*"
		],
		"catalog": {
			"convex": "^1.28.2",
			"typescript": "^5.9.2",
			"better-auth": "1.3.27",
			"eslint": "^9.39.1",
			"@eslint/js": "^9.39.1"
		}
	},
	"scripts": {
		"check": "biome check --write .",
		"dev": "turbo dev",
		"build": "turbo build",
		"check-types": "turbo check-types",
		"dev:native": "turbo -F native dev",
		"dev:web": "turbo -F web dev",
		"dev:server": "turbo -F @sgse-app/backend dev",
		"dev:setup": "turbo -F @sgse-app/backend dev:setup",
		"lint": "turbo lint",
		"format": "turbo format"
	},
	"devDependencies": {
		"eslint": "^9.39.1",
		"eslint-plugin-svelte": "^3.13.0",
		"globals": "^16.5.0",
		"jiti": "^2.6.1",
		"prettier": "^3.6.2",
		"prettier-plugin-tailwindcss": "^0.7.1",
		"svelte-dnd-action": "^0.9.67",
		"turbo": "^2.5.8",
		"typescript-eslint": "^8.46.3"
	},
	"dependencies": {
		"@tanstack/svelte-form": "^1.23.8",
		"chart.js": "^4.5.1",
		"lucide-svelte": "^0.552.0",
		"prettier-plugin-svelte": "^3.4.0",
		"svelte-chartjs": "^3.1.5",
		"svelte-sonner": "^1.0.5",
		"@convex-dev/better-auth": "^0.9.7"
	},
	"packageManager": "bun@1.3.0"
}
